Uses of Class
org.mockserver.model.LogEventRequestAndResponse
Packages that use LogEventRequestAndResponse
Package
Description
-
Uses of LogEventRequestAndResponse in org.mockserver.client
Methods in org.mockserver.client that return LogEventRequestAndResponseModifier and TypeMethodDescriptionMockServerClient.retrieveRecordedRequestsAndResponses(RequestDefinition requestDefinition) Retrieve the recorded requests and responses that match the httpRequest parameter, use null for the parameter to retrieve all requests and responses -
Uses of LogEventRequestAndResponse in org.mockserver.log
Method parameters in org.mockserver.log with type arguments of type LogEventRequestAndResponseModifier and TypeMethodDescriptionvoidMockServerEventLog.retrieveRequestResponses(RequestDefinition requestDefinition, Consumer<List<LogEventRequestAndResponse>> listConsumer) -
Uses of LogEventRequestAndResponse in org.mockserver.model
Methods in org.mockserver.model that return LogEventRequestAndResponseModifier and TypeMethodDescriptionLogEventRequestAndResponse.withHttpRequest(HttpRequest httpRequest) LogEventRequestAndResponse.withHttpResponse(HttpResponse httpResponse) LogEventRequestAndResponse.withTimestamp(String timestamp) -
Uses of LogEventRequestAndResponse in org.mockserver.serialization
Methods in org.mockserver.serialization that return LogEventRequestAndResponseModifier and TypeMethodDescriptionLogEventRequestAndResponseSerializer.deserialize(String jsonHttpRequestAndHttpResponse) LogEventRequestAndResponseSerializer.deserializeArray(String jsonHttpRequestAndHttpResponse) Methods in org.mockserver.serialization with parameters of type LogEventRequestAndResponseModifier and TypeMethodDescriptionLogEventRequestAndResponseSerializer.serialize(LogEventRequestAndResponse httpRequestAndHttpResponse) LogEventRequestAndResponseSerializer.serialize(LogEventRequestAndResponse... httpRequestAndHttpResponses) Method parameters in org.mockserver.serialization with type arguments of type LogEventRequestAndResponseModifier and TypeMethodDescriptionLogEventRequestAndResponseSerializer.serialize(List<LogEventRequestAndResponse> httpRequestAndHttpResponses) byte[]ExpectationExportSerializer.serializeRequestResponsesAsBruno(List<LogEventRequestAndResponse> pairs) ExpectationExportSerializer.serializeRequestResponsesAsOpenApi(List<LogEventRequestAndResponse> pairs) ExpectationExportSerializer.serializeRequestResponsesAsPostman(List<LogEventRequestAndResponse> pairs) -
Uses of LogEventRequestAndResponse in org.mockserver.serialization.har
Method parameters in org.mockserver.serialization.har with type arguments of type LogEventRequestAndResponseModifier and TypeMethodDescriptionHarConverter.serialize(List<LogEventRequestAndResponse> requestAndResponses) -
Uses of LogEventRequestAndResponse in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return LogEventRequestAndResponseConstructors in org.mockserver.serialization.model with parameters of type LogEventRequestAndResponseModifierConstructorDescriptionLogEventRequestAndResponseDTO(LogEventRequestAndResponse httpRequestAndHttpResponse) -
Uses of LogEventRequestAndResponse in org.mockserver.testing.integration.mock
Methods in org.mockserver.testing.integration.mock with parameters of type LogEventRequestAndResponseModifier and TypeMethodDescriptionprotected voidAbstractMockingIntegrationTestBase.verifyRequestsMatches(LogEventRequestAndResponse[] logEventRequestAndResponses, HttpRequest... httpRequestMatchers)